# Search Object

> Source: https://truto.one/docs/api-reference/unified-search-api/search/

Schema for the `Search` resource in **Unified Search API**.

## Properties

- **`id`** _(string, required)_
  The unique identifier of the entity.
- **`title`** _(string)_
  The title of the entity.
- **`description`** _(string)_
  The description of the entity.
- **`type`** _(string)_
  The type of the entity.
- **`urls`** _(array<object>)_
  The urls of the entity.
  - **`url`** _(string)_
    The url of the entity.
  - **`type`** _(string)_
    The type of the url.
    Allowed: `truto_api`, `truto_download`
  - **`unified_model`** _(string)_
    Present when type is truto_api or truto_download. Specifies the unified model of the url.
  - **`resource`** _(string)_
    Present when type is truto_api or truto_download. Specifies the resource of the url.
  - **`file_name`** _(string)_
    The name of file. This is available only when the type is truto_download.
  - **`mime_type`** _(string)_
    The mime type of file. This is available only when the type is truto_download.
- **`meta`** _(object)_
  The meta data of the entity.
- **`created_at`** _(string)_
  The date when the entity was created.
- **`updated_at`** _(string)_
  The date when the entity was updated.
- **`children`** _(array<object>)_
  The children of the entity. Follows the same schema as the parent.
- **`related_resources`** _(array<object>)_
  - **`url`** _(string)_
    The url of the entity.
  - **`type`** _(string)_
    The type of the url.
    Allowed: `truto_api`, `truto_download`
  - **`unified_model`** _(string)_
    Present when type is truto_api or truto_download. Specifies the unified model of the url.
  - **`resource`** _(string)_
    Present when type is truto_api or truto_download. Specifies the resource of the url.
  - **`method`** _(string)_
    The Truto method to call
    Allowed: `list`, `get`
- **`remote_data`** _(object)_
  Raw data returned from the remote API call.

## Methods

- [GET /unified/search/search](/docs/api-reference/unified-search-api/search/list) — List Search
